
adblock_begin({
  startPurger: function() {
    // do nothing
  },
  stopPurger: function() {
    // do nothing
  },
  handleHiding: function(data) {
    if (data.hiding)
      block_list_via_css(data.selectors);
  },
  success: function() {
    onReady(function() { blockBackgroundImageAd(); });

    // Add entries to right click menu of non-whitelisted pages.
    window.addEventListener("contextmenu", function(event) {
      safari.self.tab.setContextMenuEventUserInfo(event, true);
    }, false);
  }
});